import Vue from 'vue';

export function selectReport (state, reportId) {
  state.selectedReport = reportId
}
export function selectRequest (state, requestId) {
  state.selectedRequest = requestId
}
export function setConfiguration (state, configuration) {
  Vue.set(state, 'configuration', configuration);
}
export function setReports (state, reports) {
  state.reports = reports
}
export function setRequests (state, requests) {
  state.requests = requests
}
export function setActions (state, actions) {
  state.actions = actions
}
export function setReportSrc (state, reportSrc) {
  state.reportSrc = reportSrc
}
export function setFullscreen (state, fullscreen) {
  state.fullscreen = fullscreen
}
